# **What is a committer?**

A committer is someone who has write access to the DevTools Git repository. They can submit their own patches or patches from others. All patches need to be reviewed by at least two committers (including the author). Independently from this requirement, patches also need to be reviewed by an OWNER.

This privilege is granted with some expectation of responsibility: committers are people who care about the Chrome DevTools projects and want to help them meet their goals. A committer is not just someone who can make changes, but someone who has demonstrated their ability to collaborate with the team, get the most knowledgeable people to review code, contribute high-quality code, and follow through to fix issues (in code or tests).

A committer is a contributor to the Chrome DevTools projects' success and a citizen helping the projects succeed. These expectations are derived from [committer's responsibilities](https://www.chromium.org/developers/committers-responsibility/) in the Chromium project.

# **How do I become a committer?**

In a nutshell, contribute 20 non-trivial patches and get at least three different committers to review them (you'll need three people to support you). Then ask a committer to nominate you. You're demonstrating your:

* commitment to the project (20 good patches requires a lot of your valuable time),
* ability to collaborate with the team,
* understanding of how the team works (policies, processes for testing and code review, etc),
* understanding of the projects' code base and coding style, and
* ability to write good code (last but certainly not least)

A current committer nominates you by sending email to [chrome-devtools-committers@chromium.org](mailto:chrome-devtools-committers@chromium.org) containing:

* your first and last name
* your email address in Gerrit
* an explanation of why you should be a committer,
* embedded list of links to revisions (about top 10\) containing your patches

Two other committers need to second your nomination. If no one objects in 5 working days (U.S.), you're a committer. If anyone objects or wants more information, the committers discuss and usually come to a consensus (within 5 working days). If issues cannot be resolved, there's a vote among current committers.

Once you get approval from the existing committers, you'll be added to [chrome-devtools-committers@chromium.org](mailto:chrome-devtools-committers@chromium.org) and to the project's committers group granting you additional review permissions.

In the most unfavorable circumstances, the process could extend up to two weeks. Maintain your commitment to writing patches. Even in the uncommon instances where a nomination fails, the objection is frequently something specific to resolve, such as "more patches" or "not enough people are familiar with this person's work."

# **Maintaining committer status**

Maintaining committer status in the DevTools project is straightforward. Continue to contribute and help the project in meaningful ways. If you remain inactive for 12 consecutive months (absence of comments, uploads, and reviews), you will be notified via email about removal in 7 days and then automatically removed from the list. You may reapply for committer status without going through the full nomination process.

In the unfortunate situation where a committer persistently disregards good citizenship or actively disrupts the project, we may be compelled to revoke their status after warnings. The process for doing so mirrors that of nominating a new committer: an individual proposes the revocation and provides a valid rationale. Two additional individuals must then second the motion. If consensus cannot be reached, a vote may be called upon. It is our sincere hope that this process remains theoretical and never requires practical implementation.
